Bug 878806 - RHEL7 qemu-kvm should emulate AMD G5
RHEL7 qemu-kvm should emulate AMD G5
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Eduardo Habkost
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-21 04:24 EST by juzhang
Modified: 2014-06-17 23:19 EDT (History)
7 users (show)

See Also:
Fixed In Version: qemu-1.3.0
Doc Type: Release Note
Doc Text:
Emulation of AMD Opteron G5 KVM is now able to emulate AMD Opteron G5 processors.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:45:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description juzhang 2012-11-21 04:24:46 EST
Description of problem:
Find this issue when test bz838126 

Version-Release number of selected component (if applicable):
qemu-kvm-1.2.0-19.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.#/usr/libexec/qemu-kvm -cpu ?
2.
3.
  
Actual results:
x86       Opteron_G4
x86       Opteron_G3
x86       Opteron_G2
x86       Opteron_G1
x86      SandyBridge
x86         Westmere
x86          Nehalem
x86           Penryn
x86           Conroe
x86           [n270]
x86         [athlon]
x86       [pentium3]
x86       [pentium2]
x86        [pentium]
x86            [486]
x86        [coreduo]
x86          [kvm32]
x86         [qemu32]
x86          [kvm64]
x86       [core2duo]
x86         [phenom]
x86         [qemu64]

Expected results:
should support x86       Opteron_G5  AMD Opteron 63xx class CPU

Additional info:
On rhel7.0 corresponding kernel bug
bz845910
Comment 1 Eduardo Habkost 2012-11-28 08:15:52 EST
It's already included on QEMU 1.3-rc0 upstream. Will move this to ON_QA once 1.3 is included on RHEL7.
Comment 3 huiqingding 2014-01-22 03:00:12 EST
Verify this bug using the following version:
qemu-kvm-1.5.3-38.el7.x86_64
kernel-3.10.0-67.el7.x86_64

Steps to Verification:
1.#/usr/libexec/qemu-kvm -cpu ?

Actual results:
After step1,
x86           qemu64  QEMU Virtual CPU version 1.5.3                  
x86           phenom  AMD Phenom(tm) 9550 Quad-Core Processor         
x86         core2duo  Intel(R) Core(TM)2 Duo CPU     T7700  @ 2.40GHz 
x86            kvm64  Common KVM processor                            
x86           qemu32  QEMU Virtual CPU version 1.5.3                  
x86            kvm32  Common 32-bit KVM processor                     
x86          coreduo  Genuine Intel(R) CPU           T2600  @ 2.16GHz 
x86              486                                                  
x86          pentium                                                  
x86         pentium2                                                  
x86         pentium3                                                  
x86           athlon  QEMU Virtual CPU version 1.5.3                  
x86             n270  Intel(R) Atom(TM) CPU N270   @ 1.60GHz          
x86      cpu64-rhel6  QEMU Virtual CPU version (cpu64-rhel6)          
x86           Conroe  Intel Celeron_4x0 (Conroe/Merom Class Core 2)   
x86           Penryn  Intel Core 2 Duo P9xxx (Penryn Class Core 2)    
x86          Nehalem  Intel Core i7 9xx (Nehalem Class Core i7)       
x86         Westmere  Westmere E56xx/L56xx/X56xx (Nehalem-C)          
x86      SandyBridge  Intel Xeon E312xx (Sandy Bridge)                
x86          Haswell  Intel Core Processor (Haswell)                  
x86       Opteron_G1  AMD Opteron 240 (Gen 1 Class Opteron)           
x86       Opteron_G2  AMD Opteron 22xx (Gen 2 Class Opteron)      
x86       Opteron_G3  AMD Opteron 23xx (Gen 3 Class Opteron)          
x86       Opteron_G4  AMD Opteron 62xx class CPU                      
x86       Opteron_G5  AMD Opteron 63xx class CPU                      
x86             host  KVM processor with all supported host features (only available in KVM mode)

Based on the above result, I think this bug has been fixed.
Comment 5 Ludek Smid 2014-06-13 07:45:51 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.